#
# spec file for package python-pydle
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-pydle
Version:        0.9.4rc1
Release:        bp154.1.21
Summary:        Modular, callback-based IRCv3 library for Python 3
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/Shizmob/pydle
Source:         https://github.com/Shizmob/pydle/archive/v%{version}.tar.gz#/pydle-%{version}.tar.gz
Source1:        LICENSE.md
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pure-sasl
BuildArch:      noarch
%python_subpackages

%description
Pydle is a modular, callback-based IRCv3 library for Python 3.
Features include:

* TLS
* CTCP
* ISUPPORT/PROTOCTL
* WHOX
* IRCv3.1 (full)
* IRCv3.2 (base only, work in progress)

%prep
%setup -q -n pydle-%{version}
dos2unix pydle/utils/irccat.py
sed -i 's,^#!%{_bindir}/env ,#!%{_bindir}/,' pydle/utils/irccat.py
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_expand chmod +x %{buildroot}%{$python_sitelib}/pydle/utils/irccat.py

%files %{python_files}
%license LICENSE.md
%{python_sitelib}/*
%{_bindir}/pydle
%{_bindir}/pydle-irccat

%changelog
* Tue Feb 11 2020 Martin Herkt <9+suse@cirno.systems>
- Update to verssion 0.9.4rc1
  Bug fixes:
  * Ping timeout bugs
  * Fixes towards broken TLS verify
  * Client/server parting channel exceptions
  New features:
  * Handling of IRCv3 tags
  Changes from 0.9.2 to 0.9.3:
  * pydle.BasicClient.PING_TIMEOUT is now deprecated and has been
    replaced with pydle.BasicClient.READ_TIMEOUT to the same effect
  * a proxy read-write property pydle.BasicClient.PING_TIMEOUT has
    been added to preserve reverse compatibility, however may be
    removed in a later release.
* Mon Aug  5 2019 Martin Herkt <9+suse@cirno.systems>
- Update to version 0.9.2
  Bug fixes:
  * Resolved some missing await calls in registration
  * Resolved some issues in the CTCP implementation
  * Resolved incompatibility with non-compliant hostmasks.
* Mon Feb  4 2019 Martin Herkt <9+suse@cirno.systems>
- Update to version 0.9.1
  Breaking:
  * pydle.async library removed in its entirety.
    replaced by asyncio components where appropriate.
  Major:
  * Pydle now uses Asyncio as its async framework.
    Tornado is no longer a dependency nor is it supported.
  * All pydle event callbacks are proper coroutines,
    and must be awaited.
  * Minimum Python version increased to 3.5
  Features:
  * Python 3.7 support
  * Added IRCv3.2 account-tag , message-tag echo_message and
    invite-notify support.
  * added IRCv3.3 message-tags support
  * added SASL-External authentication
  * raw irc messages are now logged at level logging.DEBUG
  Fixes:
  * Fixed various reconnection issues
  * Fixed any tornado-related issues by removing the tornado
    from the house.
  * Pydle will once again connect to password-protected servers.
  * Resolve deadlock issues relating to .whois and other blocking
    IRC methods
* Mon Dec 24 2018 Martin Herkt <9+suse@cirno.systems>
- Update to version 0.8.5
  * Python 3.7 support
  * Removal of pydle.async entirely
  - pydle.coroutine and pydle.Future are now just
    forward-references to asyncio.coroutine and asyncio.Future
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri Jun 29 2018 9+suse@cirno.systems
- Update to version 0.8.4
  * Explicit dependency on python-tornado 4.5.3 -- Future versions
    of pydle will use asyncio instead, hence no effort is being
    made to support newer versions of Tornado.
  * Normalize everything related to whois/whowas
  * Fix typo where self.channels was using the self.users dict
  * Fix reconnecting
* Fri Dec  1 2017 9@cirno.systems
- Init, v0.8.3
